Index: ocfs2-tools/libo2cb/o2cb_err.et
===================================================================
--- ocfs2-tools.orig/libo2cb/o2cb_err.et
+++ ocfs2-tools/libo2cb/o2cb_err.et
@@ -33,6 +33,12 @@ ec	O2CB_ET_IO,
 ec	O2CB_ET_SERVICE_UNAVAILABLE,
 	"Unable to access cluster service"
 
+ec	O2CB_ET_SERVICE_HANDSHAKE_UNAVAILABLE,
+	"Unable to access cluster serivce due to bad handshake"
+
+ec	O2CB_ET_SERVICE_DEV_UNAVAILABLE,
+	"Unable to access cluster service device"
+
 ec	O2CB_ET_INTERNAL_FAILURE,
 	"Internal logic failure"
 
Index: ocfs2-tools/libo2cb/o2cb_abi.c
===================================================================
--- ocfs2-tools.orig/libo2cb/o2cb_abi.c
+++ ocfs2-tools/libo2cb/o2cb_abi.c
@@ -2095,7 +2095,7 @@ static errcode_t o2cb_control_handshake(
 		if (ret != 0)
 			err = O2CB_ET_IO;
 		else if (!found)
-			err = O2CB_ET_SERVICE_UNAVAILABLE;  /* no match */
+			err = O2CB_ET_SERVICE_HANDSHAKE_UNAVAILABLE;  /* no match */
 		break;
 	}
 
@@ -2152,7 +2152,7 @@ errcode_t o2cb_control_open(unsigned int
 			case ENOTDIR:
 			case ENOENT:
 			case EISDIR:
-				err = O2CB_ET_SERVICE_UNAVAILABLE;
+				err = O2CB_ET_SERVICE_DEV_UNAVAILABLE;
 				break;
 
 			case EACCES:
